lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'caretaker/version'

Gem::Specification.new do |spec|
    spec.name          = 'caretaker'
    spec.version       = Caretaker::VERSION
    spec.authors       = ['Tim Gurney aka Wolf']
    spec.email         = ['wolf@tgwolf.com']

    spec.summary       = %q{An automated changelog generator.}
    spec.description   = %q{A gem for automatically generating a CHANGELOG.md from git log.}
    spec.homepage      = 'https://github.com/WolfSoftware/caretaker'
    spec.license       = 'MIT'

    spec.files         = `git ls-files`.split($/)

    spec.bindir        = 'exe'
    spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
    spec.require_paths = ['lib']

    spec.required_ruby_version = '>= 2.5'

    spec.add_development_dependency 'bundler', '~> 2'
    spec.add_development_dependency 'date', '~> 2.0.0'
    spec.add_development_dependency 'rake', '~> 12.3.3'
    spec.add_development_dependency 'rspec', '~> 3.0'
    spec.add_development_dependency 'sem_version', '~> 2.0.1'
    spec.add_development_dependency 'tty-spinner', '~> 0.9.0'

    spec.add_runtime_dependency 'date', '~> 2.0.0'
    spec.add_runtime_dependency 'sem_version', '~> 2.0.1'
    spec.add_runtime_dependency 'tty-spinner', '~> 0.9.0'
end
